# \nre\configsCoreConfig

Core configuration.

This class contains static variables with configuration values.

## Summary

Methods
Properties
Constants
getClassDir()
getFileExt()
$core
$dirs
$fileExts
$defaults
$misc
$log
$classes
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A
final

File
  configs/CoreConfig.inc
Package
  Default
Class hierarchy
  \nre\configs\CoreConfig

## Tags

author | coderkun olli@coderkun.de

## Properties

### $core

    $core : array

Core values

#### Type

array

#

## Tags

static |

### $dirs

    $dirs : array

Directories

#### Type

array

#

## Tags

static |

### $fileExts

    $fileExts : array

File extensions

#### Type

array

#

## Tags

static |

### $defaults

    $defaults : array

Default values

#### Type

array

#

## Tags

static |

### $misc

    $misc : array

Miscellaneous settings

#### Type

array

#

## Tags

static |

### $log

    $log : array

Logging settings

#### Type

array

#

## Tags

static |

### $classes

    $classes : array

Class-specific settings

#### Type

array

#

## Tags

static |

## Methods

### getClassDir()

    getClassDir(string  $classType) : string

Determine the directory for a specific classtype.

#### Parameters

string | $classType | Classtype to get directory of

#### Returns

string —

Directory of given classtype

#

static

## Tags

None found

### getFileExt()

    getFileExt(string  $fileType) : string

Determine the file extension for a specific filetype.

#### Parameters

string | $fileType | Filetype to get file extension of

#### Returns

string —

File extension of given filetype

#

static

## Tags

None found

### CoreConfig.inc